afl-cmin(8)

NAME
afl-cmin

SYNOPSIS
afl-cmin [ options ] -- /path/to/target_app [ ... ]

OPTIONS
Required parameters:
  -i dir        - input directory with starting corpus
  -o dir        - output directory for minimized files
Execution control settings:
  -f file       - location read by the fuzzed program (stdin)
  -m megs       - memory limit for child process ( MB)
  -t msec       - run time limit for child process (default: none)
  -O            - use binary-only instrumentation (FRIDA mode)
  -Q            - use binary-only instrumentation (QEMU mode)
  -U            - use unicorn-based instrumentation (unicorn mode)
Minimization settings:
  -A            - allow crashes and timeouts (not recommended)
  -C            - keep crashing inputs, reject everything else
  -e            - solve for edge coverage only, ignore hit counts
For additional tips, please consult README.md
Environment variables used:
AFL_ALLOW_TMP: allow unsafe use of input/output directories under {/var}/tmp
AFL_CRASH_EXITCODE: optional child exit code to be interpreted as crash
AFL_FORKSRV_INIT_TMOUT: time the fuzzer waits for the forkserver to come up
AFL_KEEP_TRACES: leave the temporary <out_dir>/.traces directory
AFL_KILL_SIGNAL: Signal delivered to child processes on timeout (default: SIGKILL)
AFL_FORK_SERVER_KILL_SIGNAL: Signal delivered to fork server processes on termination
                             (default: SIGTERM). If this is not set and AFL_KILL_SIGNAL is set,
                             this will be set to the same value as AFL_KILL_SIGNAL.
AFL_NO_FORKSRV: run target via execve instead of using the forkserver
AFL_CMIN_ALLOW_ANY: write tuples for crashing inputs also
AFL_PATH: path for the afl-showmap binary if not found anywhere in PATH
AFL_PRINT_FILENAMES: If set, the filename currently processed will be printed to stdout
AFL_SKIP_BIN_CHECK: skip afl instrumentation checks for target binary

AUTHOR
afl++ was written by Michal "lcamtuf" Zalewski and is maintained by Marc "van Hauser" Heuse <mh@mh-sec.de>, Heiko "hexcoder-" Eissfeldt <heiko.eissfeldt@hexco.de>, Andrea Fioraldi <andreafioraldi@gmail.com> and Dominik Maier <domenukk@gmail.com> The homepage of afl++ is: https://github.com/AFLplusplus/AFLplusplus

LICENSE
Apache License Version 2.0, January 2004